function CompareAt(filename,rate,recall,vers,ScaleFree)
format long;
%mex scale_free.cpp;
%mex scale_freeL1.cpp;
%mex lovasz0.cpp;
%filename='Rattus_norvegicus3.3.124';
%filename='Plasmodium_falciparum_3D7_3.3.124';


source=strcat(filename,'_Rate_',num2str(rate),'_',vers,'.mat');
load(source);
%rate=0.1;
%gama=0.005;
beta=0.0001;
%ScaleFree=0.15;
%vers='1';
dim=size(V,1);
edges=fix(sum(sum(V))/2);
missEdges=fix(edges*rate);
totalrecall=fix(dim*(dim-1)/2*recall);


[V1,Predict1]=TriCompletion(V,b,missEdges,totalrecall);
clear TriCompletion;

[V2,Predict2]=TriScale1(V,b,missEdges,recall,beta);
clear TriScale1;

[V3,Predict3]=TriScale2(V,b,missEdges,recall,beta,0.15);
clear TriScale2;

[V4,Predict4]=TriScale3(V,b,missEdges,10*recall,beta,ScaleFree);
clear TriScale3;

filename=strcat('/home/lifu/nipsresult/',filename,'beta_',num2str(beta),'Rate_',num2str(rate),'Recall_',num2str(recall),'ScaleFree_',num2str(ScaleFree),'_',vers,'.mat');
save(filename,'V','Predict1','Predict2','Predict3','Predict4','b','edges','missEdges');
clear;
end
