function CompareAt1(filename,rate,recall,vers)
format long;
%mex scale_free.cpp;
%mex scale_freeL1.cpp;
%mex lovasz0.cpp;
%filename='Rattus_norvegicus3.3.124';
%filename='Plasmodium_falciparum_3D7_3.3.124';
V0 = importdata(filename,' ',0);

V=V0;
%rate=0.1;
%gama=0.005;
beta=0.0001;
ScaleFree=0.15;
%vers='1';





if rate==0.1
    c0=2;
else
    c0=4;
end
%vers='1';
dim=size(V,1);
edges=fix(sum(sum(V))/2);
totalrecall=fix(dim*(dim-1)/2*recall);
b=[];


rng('shuffle');
for i=1:dim
    for j=1:i-1
        c=randi(10);
        if (c<c0)&&(V(i,j)==1)
            index=(i-1)*dim+(j-1);
            b=[b index];
            V(i,j)=0;
            V(j,i)=0;
        end
    end
end
missEdges=size(b,2);
rate=1.0*missEdges/edges;

gamma=0.01;
MASK=1-eye(dim);
U=rand(dim,5);
[V00]=MMMFC(V,gamma,U,MASK,100);
V00=V00*V00';
V00=(1-V).*V00+V;
clear MMMFC;
[Predict00]=evaluaterecalReal(V00,b,missEdges,totalrecall,V);


[V1,Predict1]=TriCompletion(V,b,missEdges,totalrecall);
clear TriCompletion;

[V2,Predict2]=TriScale1(V,b,missEdges,recall,beta);
clear TriScale1;

[V3,Predict3]=TriScale2(V,b,missEdges,recall,beta,ScaleFree);
clear TriScale2;

[V4,Predict4]=TriScale3(V,b,missEdges,4*recall,beta,0.25);
clear TriScale3;

filename=strcat('/home/lifu/nipsresult/',filename,'beta_',num2str(beta),'Rate_',num2str(rate),'Recall_',num2str(recall),'ScaleFree_',num2str(ScaleFree),'_',vers,'.mat');
save(filename,'V0','V1','V2','V3','V4','Predict00','Predict1','Predict2','Predict3','Predict4','b','edges','missEdges');
clear;
end
