function [accuracyPredict]=evaluaterecalReal(V1,b,missEdges,edges,V)
%V the result matrix
% b  the random delete edges indexs
%b1 the remaining edges indexs after random delete
%   record the predict edges

V1(V==1)=-100;
edges=fix(edges-fix(sum(sum(V))/2));

dim=size(V1,1);
length=dim*(dim-1);
V2=zeros(1,length);
for i=1:dim
    V1(i,i)=0;
end
for i=2:dim
    for j=1:i-1
        tmp=(i-1)*dim+j;
        V2(tmp)=V1(i,j);
    end
end
        
[V2,I]=sort(V2,'descend');

I=I(1:edges)-1;

predicts=0;
for i=1:missEdges
    if ismember(b(i),I)==1
        predicts = predicts+1;
    end
end
accuracyPredict=double(predicts)/double(missEdges);
end
