format long;
mex scale_free.cpp;
%filename='Rattus_norvegicus3.3.124';
filename='Plasmodium_falciparum_3D7_3.3.124';
V0 = importdata(filename,' ',0);

V=V0;
rate=0.1;
gama=0.005;
beta=0.0001;
ScaleFree=0.2;
if rate==0.1
    c0=2;
else
    c0=4;
end
%vers='1';
dim=size(V,1);
edges=fix(sum(sum(V))/2);
recall=fix(dim*(dim-1)/2*gama);
b=[];


rng('shuffle');
for i=1:dim
    for j=1:i-1
        c=randi(10);
        if (c<c0)&&(V(i,j)==1)
            index=(i-1)*dim+(j-1);
            b=[b index];
            V(i,j)=0;
            V(j,i)=0;
        end
    end
end
missEdges=size(b,2);
