function [H,S]=triFactorization(V0)
%V0 = importdata(file,' ',0);
W=V0;
length=size(W,1);
idx = kmeans(V0,5,'emptyaction','singleton','Options',statset('MaxIter',2000));
H=zeros(length,5);
for i=1:length
    H(i,idx(i))=1;
end
H=H*(H'*H)^-0.5;
H=H+0.2;
S=H'*W*H;
iter=0;

while 1
    iter=iter+1;
    H=H.*((W'*H*S).*(H*((H'*W')*H)*S)./((H*((H'*W')*H)*S).^2+1e-80));
    Snew=S.*((H'*W*H).*(H'*H*S*H'*H)./((H'*H*S*H'*H).^2+1e-80));
 
    if norm(Snew-S,'fro')<1e-80;
	break;
    end
    S=Snew;
    if iter>100
        break;
    end

end
end

    
